import { LyricConfig, MetadataConfig } from '../core/core-config';
declare const options: {
    [x: string]: unknown;
    cover: boolean;
    debug: boolean;
    source: string;
    lyric: boolean;
    "lyric-type": string;
    lyricType: string;
    "lyric-output": string;
    lyricOutput: string;
    "lyric-cache-size": number;
    lyricCacheSize: number;
    "translation-separator": string;
    translationSeparator: string;
    "lyric-time": boolean;
    lyricTime: boolean;
    batch: string;
    "batch-depth": number;
    batchDepth: number;
    separator: string;
    timeout: number;
    retry: number;
    interactive: boolean;
    _: (string | number)[];
    $0: string;
};
export declare const cliOptions: {
    [x: string]: unknown;
    cover: boolean;
    debug: boolean;
    source: string;
    lyric: boolean;
    "lyric-type": string;
    lyricType: string;
    "lyric-output": string;
    lyricOutput: string;
    "lyric-cache-size": number;
    lyricCacheSize: number;
    "translation-separator": string;
    translationSeparator: string;
    "lyric-time": boolean;
    lyricTime: boolean;
    batch: string;
    "batch-depth": number;
    batchDepth: number;
    separator: string;
    timeout: number;
    retry: number;
    interactive: boolean;
    _: (string | number)[];
    $0: string;
};
export type CliOptions = typeof options;
export declare const lyricConfig: LyricConfig;
export declare const metadataConfig: MetadataConfig;
export {};
